package org.jk.rag.mapper;

import org.jk.rag.domain.entity.JkDocumentSettings;

public interface JkDocumentSettingsMapper {

    JkDocumentSettings selectById(String id);

    int insertDocumentSettings(JkDocumentSettings mData);

    int updateDocumentSettings(JkDocumentSettings mData);

    int deleteDocumentSettings(String id);

    int deleteDocumentSettingsByKnowledgeId(String knowledgeId);

}
